/// <reference types="react" />
export declare enum AlertType {
    Success = "success",
    Error = "danger",
    Warning = "warning",
    Info = "info"
}
interface IAlert {
    message: Record<string, unknown> | string | unknown;
    renderJsx?: boolean;
}
export declare type IProps = {
    type: AlertType;
} & IAlert;
export declare function Alert({ type, message, renderJsx }: IProps): JSX.Element | null;
export declare function ErrorAlert(props: IAlert): JSX.Element;
export declare function SuccessAlert(props: IAlert): JSX.Element;
export declare function WarningAlert(props: IAlert): JSX.Element;
export {};
